GET api/ProductInfo?categoriesCsv={categoriesCsv}&conditionsCsv={conditionsCsv}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| categoriesCsv | string |
Required |
|
| conditionsCsv | string |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of productbrand| Name | Description | Type | Additional information |
|---|---|---|---|
| productbrandid | integer |
None. |
|
| productbrandname | string |
None. |
|
| productlists | Collection of productlist |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"productbrandid": 1,
"productbrandname": "sample string 2",
"productlists": [
{
"$id": "2",
"productlistid": 1,
"producttypeid": "sample string 2",
"model": "sample string 3",
"quantity": 4,
"description": "sample string 5",
"productbrandid": 6,
"weight_grams": 7,
"volume_cm3": 8,
"product_image": "sample string 9",
"abbr": "sample string 10",
"model_public": "sample string 11",
"description_public": "sample string 12",
"dateUpdated": "2026-03-11T04:42:32.7178541+00:00",
"status": "sample string 13",
"actionID": 14,
"defaultbox": 1,
"stock": true,
"salesStock": true,
"actionDetail": 1,
"wasteCategory": 1,
"realWeight": 15,
"shelfStockQty": 16,
"productbrand": {
"$ref": "1"
},
"productprices": [
{
"$id": "3",
"productpriceid": 1,
"productlistid": 2,
"marketvalue": 3.0,
"returnvalue": 4.0,
"pricelistID": 5,
"multiplier": 1.0,
"productlist": {
"$ref": "2"
}
},
{
"$ref": "3"
}
],
"productAction": {
"$id": "4",
"productActionID": 1,
"productActionName": "sample string 2",
"productlists": [
{
"$ref": "2"
},
{
"$ref": "2"
}
]
}
},
{
"$ref": "2"
}
]
},
{
"$ref": "1"
}
]